using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 隐患上报明细原因 隐患上报子表(关联检查内容/问题(关联问题原因))
    /// </summary>
    [Description("隐患上报明细原因")]
    public class T_BS_RISK_SUBMIT_CONTENT_REASON : MesEntityBase
    {
        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_RiskSubmitContent", "Nav_ListRiskQuestionReason")]
        public Guid RISK_SUBMIT_CONTENT_ID { get; set; }

        /// <summary>
        /// 导航：隐患上报子表(关联检查内容)
        /// </summary>
        [Description("导航：隐患上报子表(关联检查内容)")]
        public virtual T_BS_RISK_SUBMIT_CONTENT Nav_RiskSubmitContent { get; set; }

        /// <summary>
        /// 隐患原因
        /// </summary>
        [Description("隐患原因")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_RiskReason")]
        public Guid RISK_REASON_ID { get; set; }
        /// <summary>
        /// 导航：隐患原因
        /// </summary>
        [Description("导航：隐患原因")]
        public virtual T_BS_RISK_REASON Nav_RiskReason { get; set; }
    }
}
